
QGIS Application - Bug report #17029

Labels settings inside style dock does not update accordingly to selected layer

2017-08-17 12:45 PM - Dominique Lyszczarz

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24928

Description

Steps to reproduce the issue:

- start a new project and open 2 differents layers

- Enable layer styling panel

- Enable and setup labels for each layers

- Now changing the selected layer in the TOC does not update labels settings in the panel

Associated revisions

Revision 471204dd - 2017-10-02 09:19 AM - Mathieu Pellerin - nIRV

[style dock] fix wrong label settings when switching layers

(fixes #17029)

History

#1 - 2017-08-17 02:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from GUI to Labelling

Does this affect only master or also 2.18.11?

#2 - 2017-08-17 02:10 PM - Dominique Lyszczarz

Only in master

#3 - 2017-08-17 02:16 PM - Giovanni Manghi

- Subject changed from Labels settings inside style dock does not update accordingly to selected leyer to Labels settings inside style dock does not 

update accordingly to selected layer

- Status changed from Feedback to Open

- Regression? changed from No to Yes

- Priority changed from Normal to High

#4 - 2017-09-04 03:32 PM - Regis Haubourg

Confirmed here several times working on new auxiliary data storage. This leads to situations where we erase settings when using dynamic style dock.
#5 - 2017-10-02 10:53 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit 471204dd4de2225979a1846209bfcb39700aeeba.
